You are not logged in.

#1 2013-04-01 22:44:31

ethail
Member
From: Spain
Registered: 2011-02-10
Posts: 225

[SOLVED ]makepkg asking for pacman-color binary

After upgrading pacman to 4.1 I'm getting this error every time I run makepkg:

/usr/bin/makepkg -s -i
==> ERROR: Cannot find the pacman-color binary required for dependency operations.

Even if I try to use --nocolor:

/usr/bin/makepkg --nocolor -s -i
==> ERROR: Cannot find the pacman-color binary required for dependency operations.

I've tried enabling and disabling color options in both makepkg.conf and pacman.conf, and the error is still there.

Any clue on what could be going on and how to solve it?

Thank you in advance

Last edited by ethail (2013-04-01 23:01:32)


My GitHub Page

Best Testing Repo Warning: [testing] means it can eat you hamster, catch fire and you should keep it away from children. And I'm serious here, it's not an April 1st joke.

Offline

#2 2013-04-01 22:46:52

Allan
Developer
From: Brisbane, AU
Registered: 2007-06-09
Posts: 10,416
Website

Re: [SOLVED ]makepkg asking for pacman-color binary

what does "echo $PACMAN" give?

Offline

#3 2013-04-01 22:57:48

ethail
Member
From: Spain
Registered: 2011-02-10
Posts: 225

Re: [SOLVED ]makepkg asking for pacman-color binary

echo $PACMAN
pacman-color

I guess I've forgotten to edit some file that I changed when using pacman-color-testing from the AUR.

EDIT: Indeed, I forgot to edit my .zprofile that used to export PACMAN as pacman-color. Solved now

Thank you, Allan

Last edited by ethail (2013-04-01 23:02:14)


My GitHub Page

Best Testing Repo Warning: [testing] means it can eat you hamster, catch fire and you should keep it away from children. And I'm serious here, it's not an April 1st joke.

Offline

Board footer

Powered by FluxBB